## SwamiguiModEdit SwamiguiModEdit |

## Synopsis

                        SwamiguiModEdit;
    GtkWidget *         swamigui_mod_edit_new               (void);
    void                swamigui_mod_edit_set_selection     (SwamiguiModEdit *modedit,
                                                             IpatchList *selection);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkScrolledWindow
                                           +----SwamiguiModEdit

## Implemented Interfaces

SwamiguiModEdit implements AtkImplementorIface, GtkBuildable and SwamiguiPanel.

## Properties

      "modulators"               IpatchSF2ModList*     : Read / Write

## Description

## Details

### SwamiguiModEdit

    typedef struct _SwamiguiModEdit SwamiguiModEdit;

### swamigui_mod_edit_new ()

    GtkWidget *         swamigui_mod_edit_new               (void);

Create a new modulator editor object

Returns : | New widget of type SwamiguiModEdit

### swamigui_mod_edit_set_selection ()

    void                swamigui_mod_edit_set_selection     (SwamiguiModEdit *modedit,
                                                             IpatchList *selection);

Set item to edit modulator list of. If `item` does not implement the IpatchSF2ModItem interface then it is deactivated.

`modedit` : | Modulation editor object
`selection` : | Item selection to assign to modulator editor or `NULL` (should currently contain one item only)

## Property Details

### The `"modulators"` property

      "modulators"               IpatchSF2ModList*     : Read / Write

Modulators.